function mystere() {
  /* parametres : aucun
    renvoie : un entier
  
    Cette fonction renvoie un entier au hasard entre 1 et 30 inclus.
 */
  return Math.floor(Math.random()*30 + 1);
}


function afficheImages(){
  /* parametres : aucun
    renvoie : rien

    Cette fonction affiche une image de papillons parmi 30 au hasard dans la page plus_petit_plus_grand.html
  */
  
  // Tirage au sort de l'image 1
  // Récupération de l'élément img avec document.getElementById
  var img1 = document.getElementById("image1");

  // Sélection d'une image aléatoire
  var randomIndex = mystere() - 1;  // Index au hasard entre 0 et 29.
  var randomImage = images[randomIndex]; // Mémorisation de l'URL de l'image aléatoire de papillons.
  listeMystere[0] = randomIndex + 1;  // Mémorisation du nombre mystère dans une liste à 1 élément.

  // Attribution de l'URL de l'image aléatoire à l'élément img1
  img1.src = randomImage;
}
 

function verifieSolution(){
  /* parametres : aucun
    renvoie   : rien

    Cette fonction est appelée par un clic sur le bouton "Vérifier".
    Elle compare la valeur saisie par le joueur à la bonne réponse.
    Elle affiche un message en conséquence dans la zone de texte "MesRésultats".
  */
  // La valeur saisie par le joueur :
  var solution = Number(document.getElementById("nbJoueur").value);

  // La valeur qui est la bonne réponse :
  var reponse = listeMystere[0];
 
  // Affichage vert dans l'élément <input> identifié par 'mesResultats' si la valeur saisie est égale à la bonne réponse.
  if (solution === reponse){
    document.getElementById("mesResultats").style.backgroundColor = "#88ff88";
    document.getElementById("mesResultats").style.textAlign = "center";
    document.getElementById("mesResultats").value =  'Bravo ! Tu as gagné.';
    jeuFini();

  }

  // Affichage rouge si la solution du joueur est trop petite.   
  else if (solution < reponse){
    document.getElementById("mesResultats").style.backgroundColor = "#ff8888";
    document.getElementById("mesResultats").style.textAlign = "center";
    document.getElementById("mesResultats").value =  'Trop petit. Recommence.';  
  } 
  
  // Affichage rouge si la solution du joueur est trop grande.   
  else if (solution > reponse){
    document.getElementById("mesResultats").style.backgroundColor = "#ff8888";
    document.getElementById("mesResultats").style.textAlign = "center";
    document.getElementById("mesResultats").value =  'Trop grand. Recommence.';  
  } 
  
}


function jeuFini(){
  /* parametres : aucun
    renvoie : rien

    Cette fonction :
   - Désactive l'objet identifié par nbJoueur (Zone de saisie du nombre par le joueur). 
   - Désactive l'objet HTML <button> identifié par monBouton1 (Vérifier).
   - Active l'objet HTML <button> identifié par  monBouton2 (Rejouer).
   */
  document.getElementById("nbJoueur").disabled = true;
  document.getElementById("monBouton1").disabled = true;
  document.getElementById("monBouton2").disabled = false;
}


function rejouer(){
  /* parametres : aucun
    renvoie : rien

    Cette fonction :
    - Permet d'utiliser les objets HTML identifiés par nbJoueur
    (la zone de saisie du nombre par le joueur) et monBouton1 (Vérifier).
    - Désactive l'objet HTML <button> identifié par monBouton2 (Rejouer). 
    - Remet à zéro le formulaire.
    - Efface la zone de résultats.
    - Relance le jeu en appellant de la fonction afficheImages().
  */
  document.getElementById("nbJoueur").disabled = false;
  document.getElementById("monBouton1").disabled = false;
  document.getElementById("monBouton2").disabled = true;
  
  //  Remet à zéro de tout ce que contient le formulaire : nombres saisis et textes affichés précédemment.
  document.getElementById("monFormu").reset();
  
  //  Efface la zone d'affichage identifiée par "mesResultats".
  document.getElementById("mesResultats").style.backgroundColor = "#ffffff";
  document.getElementById("mesResultats").style.textAlign = "center";
  document.getElementById("mesResultats").value =  '';
  
  //  Lance le jeu.
  afficheImages();
}


//--------------------- Programme principal ----------------------------------

// Création du tableau vide au départ listeMystere (qui contiendra 1 seul élément :
// un entier aléatoire entre 1 à 30).
// Puis création du tableau images contenant 30 URL correspondant aux 30 images de papillons.
var listeMystere = new Array(1);
var images = [
  "http://www.astrovirtuel.fr/images/papillons/1.png",
  "http://www.astrovirtuel.fr/images/papillons/2.png",
  "http://www.astrovirtuel.fr/images/papillons/3.png",
  "http://www.astrovirtuel.fr/images/papillons/4.png",
  "http://www.astrovirtuel.fr/images/papillons/5.png",
  "http://www.astrovirtuel.fr/images/papillons/6.png",
  "http://www.astrovirtuel.fr/images/papillons/7.png",
  "http://www.astrovirtuel.fr/images/papillons/8.png",
  "http://www.astrovirtuel.fr/images/papillons/9.png",
  "http://www.astrovirtuel.fr/images/papillons/10.png",
  "http://www.astrovirtuel.fr/images/papillons/11.png",
  "http://www.astrovirtuel.fr/images/papillons/12.png",
  "http://www.astrovirtuel.fr/images/papillons/13.png",
  "http://www.astrovirtuel.fr/images/papillons/14.png",
  "http://www.astrovirtuel.fr/images/papillons/15.png",
  "http://www.astrovirtuel.fr/images/papillons/16.png",
  "http://www.astrovirtuel.fr/images/papillons/17.png",
  "http://www.astrovirtuel.fr/images/papillons/18.png",
  "http://www.astrovirtuel.fr/images/papillons/19.png",
  "http://www.astrovirtuel.fr/images/papillons/20.png",
  "http://www.astrovirtuel.fr/images/papillons/21.png",
  "http://www.astrovirtuel.fr/images/papillons/22.png",
  "http://www.astrovirtuel.fr/images/papillons/23.png",
  "http://www.astrovirtuel.fr/images/papillons/24.png",
  "http://www.astrovirtuel.fr/images/papillons/25.png",
  "http://www.astrovirtuel.fr/images/papillons/26.png",
  "http://www.astrovirtuel.fr/images/papillons/27.png",
  "http://www.astrovirtuel.fr/images/papillons/28.png",
  "http://www.astrovirtuel.fr/images/papillons/29.png",
  "http://www.astrovirtuel.fr/images/papillons/30.png",
];


// Avant le lancement du jeu :
/* - Permet d'utiliser les objets HTML identifiés par nbJoueur
    (Zone de saisie du nombre par le joueur) et monBouton1 (Vérifier).
   - Désactive l'objet HTML <button> identifié par monBouton2 (Rejouer). 
*/
document.getElementById("nbJoueur").disabled = false;
document.getElementById("monBouton1").disabled = false;
document.getElementById("monBouton2").disabled = true;

// Lancement du jeu par l'exécution de la fonction afficheImages()
afficheImages();